### Method

# Gimp Layer set_show_mask

#### Declaration [src]

    gboolean
    gimp_layer_set_show_mask (
      GimpLayer* layer,
      gboolean show_mask
    )

#### Description [src]

Set the show mask setting of the specified layer.

This procedure sets the specified layer’s show mask setting. This controls whether the layer or its mask is visible. TRUE indicates that the mask should be visible. If there is no layer mask, this function will return an error.

#### Parameters

`show_mask`

  Type: `gboolean`

  The new layer’s show mask setting.

#### Return value

Type: `gboolean`

TRUE on success.